QGIS Application - Bug report #17950
QGIS 3 Crashed during a attribute joining
2018-01-24 03:17 PM - Ayodele Adeyemo

Status: Closed

Priority: High

Assignee:

Category: Actions

Affected QGIS version:master Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corruptsdata: Copied to github as #: 25846
Description

User Feedback

Report Details

Crash ID: 956373a20e42dfc29eafcc4ae1029bb33e2efc60
Stack Trace

QgsLocatorFilter::resultFetched :
QgsLocatorFilter::resultFetched :
QgsLocatorFilter::resultFetched :
QgsLocatorFilter::resultFetched :
QgsLocatorFilter::resultFetched :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QMetaObject::activate :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QMetaObject::activate :
QLineEdit::qt_static_metacall :
QMetaObject::activate :
QWidgetLineControl::finishChange :
QWidgetLineControl::iinternalSetText :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QMetaObject::activate :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QMetaObject::activate :
QltemSelectionModel::emitSelectionChanged :
QltemSelectionModel::select :
QltemSelectionModel::select :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QMetaObject::activate :
QAbstractltemModel::modelReset :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QMetaObject::activate :
QAbstractltemModel::endResetModel :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QMetaObject::activate :
QAbstractltemModel::beginRemoveColumns :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QgsCredentialDialog::qt_metacall :
QMetaObject::activate :

QgsLocatorFilter::
QgsLocatorFilter::
QgsLocatorFilter:
QgsLocatorFilter::
QgsLocatorFilter:

resultFetched :
resultFetched :
resultFetched :
resultFetched :
resultFetched :

QMetaObject::activate :

QgsLocatorFilter::
QgsLocatorFilter::
QgsLocatorFilter::
QgsLocatorFilter::
QgsLocatorFilter:
QgsLocatorFilter::

resultFetched :
resultFetched :
resultFetched :
resultFetched :
resultFetched :
resultFetched :

QMetaObject::activate :
QgsLocatorFilter::resultFetched :
QgsLocatorFilter::resultFetched :
QgsLocatorFilter::resultFetched :
QgisApp::saveAsLayerDefinition :
QgisApp::saveAsLayerDefinition :
QgisApp::saveAsLayerDefinition :
QgisApp::saveAsLayerDefinition :
QMetaObject::activate :
QTreeWidgetltem::'default constructor closure' :
QMetaObject::activate :
QAbstractltemView::doubleClicked :
QTreeView::mouseDoubleClickEvent :
QWidget::event :

QFrame::event :
QAbstractltemView::viewportEvent :
QCoreApplicationPrivate::sendThroughObjectEventFilters :
QApplicationPrivate::notify_helper :
QApplication::notify :
QgsLocatorFilter::resultFetched :
QCoreApplication::notifyInternal2 :
QApplicationPrivate::sendMouseEvent :
QSizePolicy::QSizePolicy :
QSizePolicy::QSizePolicy :
QApplicationPrivate::notify_helper :
QApplication::notify :
QgsLocatorFilter::resultFetched :
QCoreApplication::notifyInternal2 :
QGuiApplicationPrivate::processMouseEvent :
QWindowSystemInterface::sendWindowSystemEvents :
QEventDispatcherWin32::processEvents :
CallWindowProcW :

DispatchMessageW :
QEventDispatcherWin32::processEvents :
qt_plugin_query_metadata :
QEventLoop::exec :

QDialog::exec :
QgisApp::saveAsLayerDefinition :
QgisApp::saveAsLayerDefinition :
QgisApp::saveAsLayerDefinition :
QMetaObject::activate :

QAction::activate :
QMenu::actionGeometry :
QMenu::actionGeometry :
QMenu::mouseReleaseEvent :
QWidget::event :

QMenu::event :
QApplicationPrivate::notify_helper :
QApplication::notify :
QgslLocatorFilter::resultFetched :
QCoreApplication::notifylnternal2 :
QApplicationPrivate::sendMouseEvent :
QSizePolicy::QSizePolicy :
QSizePolicy::QSizePolicy :
QApplicationPrivate::notify_helper :
QApplication::notify :
QgsLocatorFilter::resultFetched :
QCoreApplication::notifylnternal2 :
QGuiApplicationPrivate::processMouseEvent :
QWindowSysteminterface::sendWindowSystemEvents :
QEventDispatcherWin32::processEvents :
CallWindowProcW :

DispatchMessageW :
QEventDispatcherWin32::processEvents :
gt_plugin_query_metadata :
QEventLoop::exec :

QMenu::exec :
QgsCredentialDialog::qt_metacall :
QWidget::event :

QFrame::event :
QAbstractltemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :
QApplication::notify :
QgslLocatorFilter::resultFetched :
QCoreApplication::notifylnternal2 :
QSizePolicy::QSizePolicy :
QSizePolicy::QSizePolicy :
QApplicationPrivate::notify_helper :
QApplication::notify :
QgsLocatorFilter::resultFetched :
QCoreApplication::notifylnternal2 :
QGuiApplicationPrivate::processMouseEvent :
QWindowSysteminterface::sendWindowSystemEvents :
QEventDispatcherWin32::processEvents :
CallWindowProcW :

DispatchMessageW :
QEventDispatcherWin32::processEvents :
gt_plugin_query_metadata :
QEventLoop::exec :
QCoreApplication::exec :
QgisApp::saveAsLayerDefinition :
BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info
QGIS Version: 2.99.0-Master

QGIS code revision: commit:b4be39f98b
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.14393

History

#1 - 2018-01-24 09:06 PM - Nyall Dawson
- Status changed from Open to Feedback

More details please. You also need to update your debugging symbols as they are out of date with your build.

#2 - 2018-02-22 12:01 PM - Giovanni Manghi
- Resolution set to not reproducable

- Priority changed from Normal to High

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
